Recherche structurée synchrone
curl --request POST \
--url https://api.retriever.run/v1/go/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"query": "Trouve les fondateurs d'Alan (alan.com) avec leur poste et LinkedIn.",
"output_schema": {
"type": "object",
"properties": {
"founders": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"linkedin_url": {
"type": "string"
}
}
}
}
},
"required": [
"founders"
]
}
}
EOFimport requests
url = "https://api.retriever.run/v1/go/run"
payload = {
"query": "Trouve les fondateurs d'Alan (alan.com) avec leur poste et LinkedIn.",
"output_schema": {
"type": "object",
"properties": { "founders": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": { "type": "string" },
"title": { "type": "string" },
"linkedin_url": { "type": "string" }
}
}
} },
"required": ["founders"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'Trouve les fondateurs d\'Alan (alan.com) avec leur poste et LinkedIn.',
output_schema: {
type: 'object',
properties: {
founders: {
type: 'array',
items: {
type: 'object',
properties: {
name: {type: 'string'},
title: {type: 'string'},
linkedin_url: {type: 'string'}
}
}
}
},
required: ['founders']
}
})
};
fetch('https://api.retriever.run/v1/go/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"status": "<string>",
"value": "<unknown>",
"usage": {
"credits": {
"total": 123,
"breakdown": {}
},
"tokens": {},
"model_calls": 123,
"model": "<string>",
"duration_ms": 123
}
}{
"error": {
"code": "validation_error",
"message": "query is required",
"details": [
{
"path": [
"query"
],
"message": "query is required"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry later."
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Go
Recherche structurée synchrone
Attend le résultat. Pour les recherches de plus de ~30 s, utilisez POST /v1/go/runs.
POST
/
v1
/
go
/
run
Recherche structurée synchrone
Authorizations
Clé API ret_live_… créée dans Settings → API keys.
Body
application/json